org.apache.fontbox.ttf

## Class FontHeaders

- java.lang.Object
- - org.apache.fontbox.ttf.FontHeaders

    public final class FontHeaders
    extends Object

To improve performance of `FileSystemFontProvider.scanFonts(...)`, this class is used both as a marker (to skip unused data) and as a storage for collected data.

Tables it needs:

- NamingTable.TAG
- HeaderTable.TAG
- OS2WindowsMetricsTable.TAG
- CFFTable.TAG (for OTF)
- "gcid" (for non-OTF)

Author:
  Mykola Bohdiuk

### Constructor Summary

Constructors
Constructor and Description
`FontHeaders()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getError()`
`String` `getFontFamily()`
`String` `getFontSubFamily()`
`Integer` `getHeaderMacStyle()` null == no HeaderTable, `ttf.getHeader().getMacStyle()`
`String` `getName()`
`byte[]` `getNonOtfTableGCID142()`
`OS2WindowsMetricsTable` `getOS2Windows()`
`String` `getOtfOrdering()`
`String` `getOtfRegistry()`
`int` `getOtfSupplement()`
`boolean` `isOpenTypePostScript()`
`void` `setError(String exception)`
`void` `setOtfROS(String otfRegistry, String otfOrdering, int otfSupplement)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FontHeaders

    public FontHeaders()

### Method Detail

#### getError

    public String getError()

#### getName

    public String getName()

#### getHeaderMacStyle

    public Integer getHeaderMacStyle()

null == no HeaderTable, `ttf.getHeader().getMacStyle()`

#### getOS2Windows

    public OS2WindowsMetricsTable getOS2Windows()

#### getFontFamily

    public String getFontFamily()

#### getFontSubFamily

    public String getFontSubFamily()

#### isOpenTypePostScript

    public boolean isOpenTypePostScript()

#### getNonOtfTableGCID142

    public byte[] getNonOtfTableGCID142()

#### getOtfRegistry

    public String getOtfRegistry()

#### getOtfOrdering

    public String getOtfOrdering()

#### getOtfSupplement

    public int getOtfSupplement()

#### setError

    public void setError(String exception)

#### setOtfROS

    public void setOtfROS(String otfRegistry,
                          String otfOrdering,
                          int otfSupplement)